import { createApp } from 'vue'
import 'virtual:windi.css';

import App from './App.vue'
import router from './router/index';
import ElementPlus from 'element-plus';
import 'element-plus/dist/index.css'
import { ElMessage } from 'element-plus'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
const app = createApp(App)
app.use(router)

for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}
app.config.globalProperties.$message = ElMessage;
app.provide('$message', ElMessage)
app.use(ElementPlus)
app.mount('#app')

